Subject: [stir] Fwd: New Version Notification for draft-wendt-stir-identity-header-errors-handling-02.txt

From: Chris Wendt <[email-masked]>
Date: Tue, 13 Jul 2021 14:57:39 -0400

Hi All,

I have uploaded a new version of the error handling draft we discussed in the last interim meeting.  I have incorporated updates for almost everything we discussed and i think it aligns pretty well.  That said, one fairly major issue is that RFC3326 to my reading doesn’t seem to allow for multiple reason header fields with the same protocol (e.g. “SIP”).  So i am proposing that this document would update 3326 to include that ability.

So, would definitely like to get feedback from this list and probably will ask on sipcore as well whether anyone would have any implementation issues with multiple reason headers with SIP protocol breaking anything, and whether that is right path forward.

We can discuss here on the list, but also plan to have some time to discuss in STIR meeting happening in two weeks.

Thanks!

-Chris

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-wendt-stir-identity-header-errors-handling-02.txt
> Date: July 12, 2021 at 5:34:01 PM EDT
> To: "Chris Wendt" <[email-masked]>
> 
> 
> A new version of I-D, draft-wendt-stir-identity-header-errors-handling-02.txt
> has been successfully submitted by Chris Wendt and posted to the
> IETF repository.
> 
> Name:		draft-wendt-stir-identity-header-errors-handling
> Revision:	02
> Title:		Identity Header Error Handling
> Document date:	2021-07-12
> Group:		Individual Submission
> Pages:		6
> URL:            https://www.ietf.org/archive/id/draft-wendt-stir-identity-header-errors-handling-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-wendt-stir-identity-header-errors-handling/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-wendt-stir-identity-header-errors-handling
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-wendt-stir-identity-header-errors-handling-02
> 
> Abstract:
>   This document extends STIR and the Authenticated Identity Management
>   in the Session Initiation Protocol (SIP) related to error handling
>   for STIR verification services and how they feedback errors to STIR
>   authentication services.  Specifically, the use of a Reason header
>   field and addressing scenarios that use multiple identity headers
>   where some may have errors and others may not and the handling of
>   those situations is defined.
> 
> 
> 
> 
> The IETF Secretariat
> 
>